SoTexture2Convert(3)

NAME
SoTexture2Convert - Abstract base class for texture filtering engines.

SYNOPSIS

#include <Inventor/engines/SoTexture2Convert.h>

Inherits SoEngine.

Inherited by SoHeightMapToNormalMap.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual const SoFieldData * getFieldData (void) const
virtual const SoEngineOutputData * getOutputData (void) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoSFImage sourceImage
SoEngineOutput image

  Static Protected Member Functions
static const SoFieldData ** getInputDataPtr (void)
static const SoEngineOutputData ** getOutputDataPtr (void)

  Additional Inherited Members

Detailed Description

Abstract base class for texture filtering engines. Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.
Since
    Coin 3.0

Member Function Documentation

  SoType SoTexture2Convert::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoTexture2Convert::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

Reimplemented in SoHeightMapToNormalMap.

  const SoFieldData ** SoTexture2Convert::getInputDataPtr (void) [static], [protected]
Returns the SoFieldData class which holds information about inputs in this engine.

  const SoEngineOutputData ** SoTexture2Convert::getOutputDataPtr (void) [static], [protected]
Returns the SoEngineOutputData class which holds information about the outputs in this engine.

  const SoFieldData * SoTexture2Convert::getFieldData (void) const [virtual]
Returns the SoFieldData class which holds information about inputs in this engine.

Reimplemented from SoFieldContainer.

Reimplemented in SoHeightMapToNormalMap.

  const SoEngineOutputData * SoTexture2Convert::getOutputData (void) const [virtual]
Returns the SoEngineOutputData class which holds information about the outputs in this engine.

Implements SoEngine.

Reimplemented in SoHeightMapToNormalMap.

Author

Generated automatically by Doxygen for Coin from the source code.